# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=7
PYTHON_COMPAT=( python3_{7..10} )

inherit distutils-r1

DESCRIPTION="servustv.com support for yt-dlp"
HOMEPAGE="https://pypi.org/project/ytdlp-servustv"
SRC_URI="https://github.com/flashdagger/ytdlp-plugins/archive/refs/heads/servustv.zip -> ${P}.zip"

LICENSE="Public Domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

S=${WORKDIR}/ytdlp-plugins-servustv

DEPEND="${PYTHON_DEPEND}
	net-misc/ytdlp-plugins"
RDEPEND="${DEPEND}"

