# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7,8,9,10} )

inherit distutils-r1

DESCRIPTION="edit .ini files from the command line"
HOMEPAGE="http://k0s.org/portfolio/software.html#martini"
SRC_URI="mirror://pypi/m/${PN}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-linux"
IUSE=""

RDEPEND="dev-python/genshi
	dev-python/pastescript
	dev-python/webob"
DEPEND="${RDEPEND}
	dev-python/setuptools"
