# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="6"

inherit eutils

DESCRIPTION="geos_one loved tools"
HOMEPAGE="http://linamh.disconnected-by-peer.at"
SRC_URI="http://ftp.disconnected-by-peer.at/go/${P}.tar.bz2"

SLOT="0"
LICENSE="GPL-2 GPL-3 BSD"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"

IUSE=""

DEPEND=""
RDEPEND="app-portage/gentoolkit
	dev-vcs/subversion
	sys-apps/portage
	dev-lang/ruby
	>=dev-lang/python-3.0
	app-portage/portage-utils"

src_install() {
	emake DESTDIR="${D}" install || die "install fail"
	dodoc README LICENSES AUTHORS
}
