# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit font

DESCRIPTION="True Type Font that mimics the character set of the Commodore 64."
HOMEPAGE="http://goldparser.org/grammars/index.htm"
SRC_URI="http://goldparser.org/misc/Commodore-64-Fonts.zip"

LICENSE="gold-parser-org"
SLOT="0"
KEYWORDS="amd64 arm hppa ~mips ppc ppc64 s390 sparc x86"
IUSE="X"

DEPEND="app-arch/unzip"
RDEPEND=""

S=${WORKDIR}
FONT_S=${WORKDIR}
FONT_SUFFIX="ttf"

src_prepare() {
	mv "${WORKDIR}/Commodore-64-v622.TTF" "${WORKDIR}/Commodore-64-v622.ttf"
	mv "${WORKDIR}/Commodore Angled v1-1.ttf" "${WORKDIR}/Commodore-64-Angled.ttf"
	mv "${WORKDIR}/Commodore Pixeled.ttf" "${WORKDIR}/Commodore-64-Pixeled.ttf"
	mv "${WORKDIR}/Commodore Rounded v1-1.ttf" "${WORKDIR}/Commodore-64-Rounded.ttf"
}